Download it now!
Bug 67436 - FILOPEN: XLSX Diagram not visible
Summary: FILOPEN: XLSX Diagram not visible
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
4.0.4.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, regression
Depends on:
Blocks: OOXML-Chart
  Show dependency treegraph
 
Reported: 2013-07-28 14:31 UTC by bugfinderx
Modified: 2015-12-15 11:03 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
XLSX-File with bug in diagram (11.71 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2013-07-28 14:31 UTC, bugfinderx
Details
Screenshot opening the file. (112.59 KB, image/png)
2013-07-28 20:54 UTC, m.a.riosv
Details
Screenshot opening the file 4.1 (94.77 KB, image/png)
2013-07-29 12:19 UTC, m.a.riosv
Details
the testfile opend with AOO 4.0 (113.36 KB, image/png)
2013-07-31 10:36 UTC, bugfinderx
Details
testfile opend with LO 4.1 (portable) (116.85 KB, image/png)
2013-07-31 10:37 UTC, bugfinderx
Details
Output of Gnumeric in terminal openning the test file (4.92 KB, text/plain)
2013-12-08 18:53 UTC, Alexandr
Details

Note You need to log in before you can comment on or make changes to this bug.
Description bugfinderx 2013-07-28 14:31:49 UTC
Created attachment 83122 [details]
XLSX-File with bug in diagram

Open the specific XLSX-File from attachment with LO 4.0.X or 4.1.0

The Diagram is not visible, just only the legend (1st, 2nd, 3th...) from the diagramm is visible.

If you open the File with AOO 3.4.1, AOO 4.0, LO 3.6.X, Kingsoft Office 2013 or MS Office 2010, the diagramm is shown correct.

Its possible to make the diagramm appear in LO 4.0/4.1:
Doubleclick on the Diagramm-element-area to get in editting mode
-> Rightclick on the invisible diagramm, choose data ranges
-> "first ccolunm as label" is checked, uncheck it, check it again and click ok (or check the unchecked "first row as label, uncheck it again und click ok)

now the diagramm is visible

Testsystem: 
- Windows XP (32-bit), Windows 7 (64-bit)
- LO 4.1.0.4, LO 4.0.4, LO 3.6.5, AOO 4.0, AOO 3.4.1, 
  MS Office 2010 Starter, Kingsoft Office 2013 Free
Comment 1 m.a.riosv 2013-07-28 20:54:15 UTC
Created attachment 83154 [details]
Screenshot opening the file.

Hi bugfinderx. thanks for reporting.

I think I can not reproduce with:
Win7x64i3Ultimate
Version 4.0.4.2 (Build ID: 9e9821abd0ffdbc09cd8c52eaa574fa09eb08f2)

Can you verify if the attached screenshot is right.

Have you tried resetting the user profile?
Comment 2 bugfinderx 2013-07-29 09:59:55 UTC
Hello mariosv,

your screenshot shows the diagramm in the way, it does LO 3.6.X on my system (Its nearly perfect compared with AOO4 or MS Office, just the white background is transparent). LO 4.0 and 4.1 didnt show the pie-diagramm.

Did you try the file with LO 4.1 on your sytem?

i didnt test to reset my userprofil, will try it out.
Comment 3 m.a.riosv 2013-07-29 12:19:09 UTC
Created attachment 83198 [details]
Screenshot opening the file 4.1

I think I can not reproduce neither with:
Win7x64i3Ultimate
Version: 4.1.1.0.0+ Build ID: c1f0f890f5065f88164add33707228f8c6d5755
TinderBox: Win-x86@6-debug, Branch:libreoffice-4-1, Time: 2013-07-28_23:51:08

Try with the options in Menu/Tools/Options/LibreOffice/View - Graphics.
If does not solve nothing,
please try resetting the user profile, sometimes solve strange issues.
Comment 4 bugfinderx 2013-07-31 10:35:39 UTC
Deleting the User-profile didnt fix the problem. i attached 2 graphics, they show how the file looks on my system opend with AOO4 and LO 4,1 (portable)
Comment 5 bugfinderx 2013-07-31 10:36:38 UTC
Created attachment 83355 [details]
the testfile opend with AOO 4.0
Comment 6 bugfinderx 2013-07-31 10:37:11 UTC
Created attachment 83356 [details]
testfile opend with LO 4.1 (portable)
Comment 7 Alexandr 2013-12-01 09:41:11 UTC
I reproduce the problem with LibreOffice Calc 4.1.3 in Windows 7, Debian testing (“Jessie”) and Fedora 19. This bug is similar to bug 63114, but that bug is about problems with opening files, exported to .xlsx from .ods. I am not sure is it a duplicate.
Comment 8 Alexandr 2013-12-08 18:53:32 UTC
Created attachment 90475 [details]
Output of Gnumeric in terminal openning the test file

The bug is still reproducible with LibreOffice 4.2 beta2 on Debian testing (“Jessie“) x86_64. 
I tried to open the document with Gnumeric 1.12.6. It displays the chart, but write some errors in a terminal. I attach the output, maybe it can help.
Comment 9 Jean-Baptiste Faure 2013-12-13 17:16:06 UTC
I reproduce the problem with versions 4.0.6, 4.1.5.0+ and 4.2.0.0beta2+ under Ubuntu 13.10 x86-64.

In each version, it is possible to restore the chart as explained in the bug description.

Best regards. JBF
Comment 10 m.a.riosv 2014-03-14 23:39:29 UTC
This works with the option:
Menu/Tools/Options/LibreOffice calc/Formula/Recalculation on file load - Excel 2007 and newer -> Always recalculate or Prompt user + Yes when opening.

Version: 4.2.0.4 Build ID: 05dceb5d363845f2cf968344d7adab8dcfb2ba71
Version: 4.2.1.1 Build ID: d7dbbd7842e6a58b0f521599204e827654e1fb8b
Version: 4.2.3.1 Build ID: 3d4fc3d9dbf8f4c0aeb61498a81f91c5b7922f13
Version: 4.2.4.0.0+ Build ID: b5b9da46ceae23b25e963087d00b0ae5b4785c93
   TinderBox: Win-x86@42, Branch:libreoffice-4-2, Time: 2014-03-13_23:32:39
Version: 4.3.0.0.alpha0+ Build ID: 12ae7672f285da1d4c730315e8db23b3396b71cc
   TinderBox: Win-x86@39, Branch:master, Time: 2014-03-14_00:18:00

What is strange:
Version: 4.2.2.1 Build ID: 3be8cda0bddd8e430d8cda1ebfd581265cca5a0f
works without recalculate at opening.
Comment 11 tommy27 2014-05-03 12:59:32 UTC
tested under Win7x64
bug is not reproducible in 3.6.7.2
bug is reproducible in 4.0.4.2 and 4.2.2.1 and 4.2.3.3 and 4.3.0.0alpha1+

I update version field (I suppose however that issue appeared in 4.0.x early development) and add regression keyword

(In reply to comment #10)
> ...
> 
> What is strange:
> Version: 4.2.2.1 Build ID: 3be8cda0bddd8e430d8cda1ebfd581265cca5a0f
> works without recalculate at opening.

are you sure? can you retest it? with that same build I still see the bug.
Comment 12 Xisco Faulí 2014-05-30 12:19:39 UTC
bibisected:

6d8bd8dba8e0b0a4c2efd95b03c2b5656646bf33 is the first bad commit
commit 6d8bd8dba8e0b0a4c2efd95b03c2b5656646bf33
Author: Bjoern Michaelsen <bjoern.michaelsen@canonical.com>
Date:   Mon Dec 10 09:16:28 2012 +0000

    source-hash-a581d31b227623e09d2970a91214fda398f98eda
    
    commit a581d31b227623e09d2970a91214fda398f98eda
    Author:     Rafael Dominguez <venccsralph@gmail.com>
    AuthorDate: Fri Aug 24 12:30:38 2012 -0430
    Commit:     Rafael Dominguez <venccsralph@gmail.com>
    CommitDate: Fri Aug 24 12:48:40 2012 -0430
    
        Highlight X errorbars data range when a chart is selected.
    
        Change-Id: I90b4f71fb74da59c6c578ccd0e9b62f14620d4e6

:100644 100644 4ef31fbafb0c6fd5facf46ad5e5f2c3151b7a150 7f9def5f3eb413e8577f603b65d47882a625d884 M	autogen.log
:100644 100644 239fedd56091b1f48efada34c4fd44296fdca012 b0cee23059ffc516599e2d6b36d5210d6527b122 M	ccache.log
:100644 100644 977aa7dc5cffdccec4fe78d023904e6f9021e208 bbb1bfbb0e7f5a0b8655adb17c3b6ff3cda00931 M	commitmsg
:100644 100644 7d9b3c177d0f5d678873c600b2d850c2df719da0 ca2e05ca6f01681da2444816f82c27b21f192830 M	dev-install.log
:100644 100644 efbedcae955d5a66121ab2624493e537842def82 946674c06eee13a3f6709e7d8c4cf3de1041d49e M	make.log
:040000 040000 f2ecd626b16a28d07ed81613e4b47bca23fa7c4d d36c182f08083657b1a6c76dbcc7072af2950952 M	opt

# bad: [423a84c4f7068853974887d98442bc2a2d0cc91b] source-hash-c15927f20d4727c3b8de68497b6949e72f9e6e9e
# good: [65fd30f5cb4cdd37995a33420ed8273c0a29bf00] source-hash-d6cde02dbce8c28c6af836e2dc1120f8a6ef9932
git bisect start 'latest' 'oldest'
# bad: [e02439a3d6297a1f5334fa558ddec5ef4212c574] source-hash-6b8393474974d2af7a2cb3c47b3d5c081b550bdb
git bisect bad e02439a3d6297a1f5334fa558ddec5ef4212c574
# good: [8f4aeaad2f65d656328a451154142bb82efa4327] source-hash-1885266f274575327cdeee9852945a3e91f32f15
git bisect good 8f4aeaad2f65d656328a451154142bb82efa4327
# bad: [9995fae0d8a24ce31bcb5e9cd0459b69cfbf7a02] source-hash-8600bc24bbc9029e92bea6102bff2921bc10b33e
git bisect bad 9995fae0d8a24ce31bcb5e9cd0459b69cfbf7a02
# bad: [51b63dca7427db64929ae1885d7cf1cc7eb0ba28] source-hash-806d18ae7b8c241fe90e49d3d370306769c50a10
git bisect bad 51b63dca7427db64929ae1885d7cf1cc7eb0ba28
# bad: [446a69834acf747d9d18841ec583512ae8fa42e7] source-hash-06a8ca9339f02fccf6961c0de77c49673823b35f
git bisect bad 446a69834acf747d9d18841ec583512ae8fa42e7
# skip: [d2720e99b9e6cb7b099256cc7a6d2b3f907b8d7c] source-hash-7dd6c0a8372810f48e6bee35a11ac4ad0432640b
git bisect skip d2720e99b9e6cb7b099256cc7a6d2b3f907b8d7c
# skip: [77c163b8bed3972f153b1fbb7fdcd956073f4873] source-hash-b679a2a02180c017bd8b596fb2e4f283bad93b75
git bisect skip 77c163b8bed3972f153b1fbb7fdcd956073f4873
# good: [52abf2b644b9c2396246581d02b1796dd9cd2dff] source-hash-37b9e290d9e3d20652df0abe1a1458412f3cfe2c
git bisect good 52abf2b644b9c2396246581d02b1796dd9cd2dff
# bad: [03a729c328bfa2eafca37f1a2d0796c6575b9e61] source-hash-982b7cb498c3ea1106c5d2184f84989d99b1d942
git bisect bad 03a729c328bfa2eafca37f1a2d0796c6575b9e61
# bad: [bf9969effb2f759d95ecbb1a688e25f75a78da16] source-hash-8638f1e72a3fe830c0e8dcc1bd847d4fb9e599ee
git bisect bad bf9969effb2f759d95ecbb1a688e25f75a78da16
# good: [98e26b741cd0eff4b7549d782d7db5a1e98eb1a6] source-hash-c29af1572ad15ac5199a09e5812fb8354c165329
git bisect good 98e26b741cd0eff4b7549d782d7db5a1e98eb1a6
# bad: [6d8bd8dba8e0b0a4c2efd95b03c2b5656646bf33] source-hash-a581d31b227623e09d2970a91214fda398f98eda
git bisect bad 6d8bd8dba8e0b0a4c2efd95b03c2b5656646bf33
# good: [ba2b3f1f9d9e4a2edd571a16dab7746bd17ee03a] source-hash-bed0447cefb949fc77cfde7543397d96590082ba
git bisect good ba2b3f1f9d9e4a2edd571a16dab7746bd17ee03a
# first bad commit: [6d8bd8dba8e0b0a4c2efd95b03c2b5656646bf33] source-hash-a581d31b227623e09d2970a91214fda398f98eda
Comment 13 Matthew Francis 2015-01-12 15:07:59 UTC
This has already been fixed in 4.3.4.1, 4.4 beta and 4.5 master.

Probably there's another bug somewhere which references the actual commit, but I haven't identified which it is, so closing as RESOLVED - WORKSFORME
Comment 14 Robinson Tryon (qubit) 2015-12-15 11:03:34 UTC
Migrating Whiteboard tags to Keywords: (bibisected)
[NinjaEdit]